require 'puppet/cloudpack/vmware'
require 'puppet/face/node_vmware'

Puppet::Face.define :node_vmware, '0.0.1' do
  action :bootstrap do
    summary 'Create and initialize a new VMware VM from a template using Puppet'
    description <<-EOT
      This action creates a new Virtual Machine by cloning an existing VMware
      VM marked as a template, classifies it, and signs its certificate.
    EOT

    Puppet::CloudPack::VMware.add_bootstrap_options(self)

    when_invoked do |options|
      options[:wait] = true
      options[:wait_for_boot] = true
      Puppet::CloudPack::VMware.bootstrap(options)
    end
  end
end

